Artifact Latest Version Search Based on Properties

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Artifact Latest Version Search Based on Properties

jagt
Hi,

I'm new to the REST API and need help to perform a Artifact Latest Version Search Based on Properties.  

Using example "/api/versions/_any/a/b?os=win&license=GPL", the  request I made is
../api/versions/{repo}/_any?INT_PASS=true

I get the following error:

{
  "errors" : [ {
    "status" : 500,
    "message" : "For permissions reasons AQL demands the following fields: repo, path and name."
  } ]
}

sorry for the any confusion, thanks for your help
Reply | Threaded
Open this post in threaded view
|

Re: Artifact Latest Version Search Based on Properties

jagt
according to the following post, it was a bug that was fixed in Artifactory version 3.5.3.
http://stackoverflow.com/questions/31193932/rest-api-for-artifact-latest-version-search-based-on-properties